Modules | Alphabetical List | Class List | Directories | File List | GIL Home Page # PixelDereferenceAdaptorConcept Struct Template Reference [Concepts] `#include <gil_concept.hpp>` List of all members. ## Detailed Description ### template<typename D> struct boost::gil::PixelDereferenceAdaptorConcept< D > Represents a unary function object that can be invoked upon dereferencing a pixel iterator. DEREFERENCE ADAPTOR CONCEPTS This can perform an arbitrary computation, such as color conversion or table lookup
    concept PixelDereferenceAdaptorConcept<boost::UnaryFunctionConcept D>
      : DefaultConstructibleConcept<D>, CopyConstructibleConcept<D>, AssignableConcept<D>  {
        typename const_t;         where PixelDereferenceAdaptorConcept<const_t>;
        typename value_type;      where PixelValueConcept<value_type>;
        typename reference;         // may be mutable
        typename const_reference;   // must not be mutable
        static const bool D::is_mutable;

        where Convertible<value_type,result_type>;
    };
## Public Member Functions
void | constraints ()
## Public Attributes
D | d
The documentation for this struct was generated from the following file: gil_concept.hpp